package net.hostsharing.hsadminng.hs.office.partner;

import net.hostsharing.hsadminng.hs.office.contact.HsOfficeContactEntity;
import net.hostsharing.hsadminng.hs.office.person.HsOfficePersonEntity;
import net.hostsharing.hsadminng.hs.office.relationship.HsOfficeRelationshipEntity;
import net.hostsharing.hsadminng.hs.office.relationship.HsOfficeRelationshipType;

import static net.hostsharing.hsadminng.hs.office.person.HsOfficePersonType.LEGAL_PERSON;

public class TestHsOfficePartner {

    public static final HsOfficePartnerEntity TEST_PARTNER = hsOfficePartnerWithLegalPerson("Test Ltd.");

    static public HsOfficePartnerEntity hsOfficePartnerWithLegalPerson(final String tradeName) {
        return HsOfficePartnerEntity.builder()
                .partnerNumber(10001)
                .partnerRole(
                        HsOfficeRelationshipEntity.builder()
                                .relHolder(HsOfficePersonEntity.builder()
                                        .personType(LEGAL_PERSON)
                                        .tradeName("Hostsharing eG")
                                        .build())
                                .relType(HsOfficeRelationshipType.PARTNER)
                                .relHolder(HsOfficePersonEntity.builder()
                                        .personType(LEGAL_PERSON)
                                        .tradeName(tradeName)
                                        .build())
                                .contact(HsOfficeContactEntity.builder()
                                        .label(tradeName)
                                        .build())
                                .build()
                )
                .build();
    }
}
